Bug 720071 - Provide native systemd unit file
Provide native systemd unit file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: unbound (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-07-08 20:17 EDT by Jóhann B. Guðmundsson
Modified: 2011-09-30 14:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: unbound-1.4.12-4.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-30 14:49:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Native systemd service file for unbound (258 bytes, text/plain)
2011-07-08 21:44 EDT, Jóhann B. Guðmundsson
no flags Details
Native systemd service file that generates the key. (360 bytes, text/plain)
2011-07-08 21:47 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-07-08 20:17:23 EDT
Description of problem:

https://fedoraproject.org/wiki/Features/SysVtoSystemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-07-08 21:44:08 EDT
Created attachment 512019 [details]
Native systemd service file for unbound
Comment 2 Jóhann B. Guðmundsson 2011-07-08 21:47:12 EDT
Created attachment 512020 [details]
Native systemd service file that generates the key.

You might want to have a look at

http://0pointer.de/blog/projects/changing-roots.html

Then you could create ubound-chroot.service that is if its applicable..

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
https://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 3 Greg 2011-08-22 08:08:58 EDT
I also created a configuration file to create a '/var/run/unbound' directory. The file is '/etc/tmpfiles.d/unbound.conf' with the one line of content:

d /run/unbound 0755 unbound unbound -
Comment 4 Fedora Update System 2011-09-14 16:29:56 EDT
unbound-1.4.12-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/unbound-1.4.12-4.fc16
Comment 5 Fedora Update System 2011-09-15 17:20:13 EDT
Package unbound-1.4.12-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing unbound-1.4.12-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/unbound-1.4.12-4.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-09-30 14:49:30 EDT
unbound-1.4.12-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.